﻿/// <reference path="../Themes/Jquery/jquery-1.11.1.min.js" />
var stock_cbsid = 0;
var isloadstock = false;
function GetIP() {
    var ip = "";

    $.ajax({

        url: "/Handler/GetIP.ashx",
        async: false,
        dataType: "json",
        success: function (data) {

            if (data.success == "true") {

                ip = data.ip;
            }
        }
    });
    return ip;
}

$(document).ready(function () {
    inStockProload();
    $("i[data-current-stock='true']").mouseover(function () {
        var target = $(this);
        if (target.attr("data-show-stock")) {
            return false;
        }
        $("i[data-current-stock='true']").removeAttr("data-show-stock");
        var cb = target.attr("data-cb");
        var readType = target.attr("data-read-type");
        var cbsid = target.attr("data-cbsid");
        var cas = target.attr("data-cas");
        var productid = target.attr("data-product-id");
        var source = $("#dv_current_stock");

        if (stock_cbsid == cbsid && isloadstock == true) {
            return;
        }
        stock_cbsid = cbsid
        isloadstock = true;
        source.show();
        if (target.parent().has(source).length == 0) {
            target.parent().append(source);
        }
        source.html("<img src='/control/image/loading1.gif' alt='loading'/>");
        source.append("<b  class=\"close\"></b>");
        var source1 = $("<div class=\"stocklistbox\"></div>");
        var tmepUrl = "https://mapi.chemicalbook.com/mapi/GetJsonpInStockDomestic?productid=" + productid + "&cbsid=" + cbsid + "&cbnumber=" + cb + "&cas=" + cas + "&ip=";
        try {
            $("#dv_current_stock").removeClass("stock-none");
        } catch (e) {

        }
        $.ajax({

            url: tmepUrl,
            //url: "/Handler/ReadCurrentStock.ashx",
            //data: { cb: cb, cbsid: cbsid, readType: readType, cas: cas, productid: productid },
            type: "get",
            dataType: 'JSONP',
            jsonp: "callback",
            success: function (ret) {
                isloadstock = false;
                stock_cbsid = 0;
                saveNewCustVisitInfo("实时库存", cbsid, $("#bt_delegate_list").attr("data-cbnumber"), "ProductList.aspx");
                var dataOrigin = ret.DataOrigin;
                var data = ret.Data;
                var len = data.length;
                if (len > 0) {
                    source.html("");
                    source.append("<b  class=\"close\"></b>");
                    for (var i = 0; i < len; i++) {
                        $("#dv_current_stock").removeClass("stock-none");
                        var entity = data[i];
                        if (i == 0) {

                            //source.append("更新时间：" + entity.Date);
                        }

                        var tupu = "";
                        if (entity.Accessory) {
                            for (var t = 0; t < entity.Accessory.length; t++) {
                                tupu += '<span class="marginL10"><a href="' + entity.Accessory[t].split(",")[1] + '" target="_blank">图谱（' + (t + 1) + '）</a></span>'
                            }
                        }

                        if (entity.ProductName == "" || entity.ProductName == null) {
                            source1.append("<p>" + $(target).attr("data-product-name") + entity.PurityBrand + tupu + "</p>");

                        }
                        else {
                            source1.append("<p>" + entity.ProductName + tupu + "</p>");
                        }
                        var stocks = entity.Items;
                        var lenStock = stocks.length;
                        var table = $("<table></table>").attr({
                            width: "100%",
                            cellspacing: 0,
                            cellpadding: 0,
                            border: 0,
                            "class": "stocklist"
                        });
                        table.append("<tr><td class=\"c4\">包装</td><td class=\"c4\">价格</td><td width=\"330\" class=\"c4\"><ul><li class=\"kc\">库存</li><li>库存地点</li></ul></td></tr>");
                        for (var j = 0; j < lenStock; j++) {
                            var stock = stocks[j];
                            var spotGoodsClass = "";
                            if (stock.IsSpotGoods == true) {
                                spotGoodsClass = "Sel_h";
                            }
                            table.append("<tr><td>" + stock.PackAge + "</td><td>" + stock.Price + "</td><td><ul><li class=\"kc " + spotGoodsClass + "\">" + stock.Stock + "</li><li>" + stock.Location + "</li></ul></td></tr>");
                        }
                        source1.append(table);
                    }
                    source.append(source1);
                    if (dataOrigin) {
                        source.append('<br><h3 class="c2 fr"><a href="javascript:void(0)">数据来源：' + dataOrigin + '</a></h3>');
                    }
                    target.attr("data-show-stock", "true");
                }
                else {
                    $("#dv_current_stock").addClass("stock-none");
                    source.html("<a href=\"" + ret.CustomerStockUrl + "\" target=\"_blank\">去看看商家</a>");
                    source.append("<b  class=\"close\"></b>");
                }
            }
        })
    })

    $("#dv_current_stock").on("click", ".close", function (event) {
        $(this).parent().hide();
        $("i[data-current-stock='true']").removeAttr("data-show-stock");
    });
    //新品
    $(".xinpin").one("mouseover", function () {
        var cbsid = $(this).attr("data-cbsid");
        var cbnumber = $(this).attr("data-cbnumber");
        var $parent = $(this).parent().find(".deal_ru");
        $.ajax({
            url: "/Handler/GetSuppliersNewProduct.ashx",
            cache: false,
            data: { cbnumber: cbnumber, cbsid: cbsid },
            dataType: "json",
            success: function (data) {
                $parent.html("");
                //$parent.append("<div class=\"deal_ru deal_box\">");
                $parent.append("<span class=\"deal_box_s\"><em></em></span>");
                $parent.append("<p>最新发布产品，有效期为21天</p>");
                $parent.append("<p>发布时间：" + data.settime + "</p>");
                $parent.append("<p class=\"newicon newtime" + data.days + "\"></p>");
                //$parent.after("</div>");
            }
        });
    })
    $(".type12").one("mouseover", function () {
        var cbsid = $(this).attr("data-cbsid");
        var physicalId = $(this).attr("data-qytj");
        //const chart = echarts.init(document.getElementById('factorychart'));
        const totalDays = 365;
        //updateChart(chart, currentDay);

        // 显示当前日期
        const now = new Date();
        const today = now.toISOString().split('T')[0];

        // 过期日期
        var audittime = $(this).attr("data-audittime");
        const date = new Date(audittime);
        date.setDate(date.getDate() + 365);
        const resultDate = date.toISOString().split('T')[0];


        const date1 = new Date(today);
        const date2 = new Date(resultDate);
        const diffTime = Math.floor(date2 - date1);
        const diffDays = Math.ceil(diffTime / (1000 * 60 * 60 * 24));

        let day = totalDays - diffDays; // 测试用初始值
        if (day % 2 != 0) {
            day = (totalDays - diffDays) + 1;
        }
        const actualDegrees = Math.max(0, 180 - (day * 2));
        const displayDegrees = actualDegrees > 5 ? actualDegrees : 5;

        let newAngle = 180 - day;
        if (displayDegrees <= 5) {
            newAngle = 5;
        }
        const remainingDays = Math.max(0, totalDays - (totalDays - diffDays));
        //$(".cirb3").css("style", "--angle: " + 180 - displayDegrees + "deg;");
        document.querySelector('.cirb3').style.setProperty('--angle', newAngle + 'deg');
        $(".cirb4").html(remainingDays + "<span style=\"margin: 0 3px\">/</span><span style=\"color:#888\">365</span>")

        //chart.setOption({
        //    series: [{
        //        type: 'pie',
        //        radius: ['60%', '80%'],
        //        center: ['50%', '90%'],
        //        startAngle: 180,
        //        endAngle: 0,
        //        data: [
        //            {
        //                value: displayDegrees,
        //                itemStyle: { color: '#09902a' },
        //                label: {
        //                    show: true,
        //                    position: 'center',
        //                    formatter: () => {
        //                        const remainingDays = Math.max(0, totalDays - day);
        //                        // return `剩余 ${remainingDays}天\n(${(actualDegrees / 180 * 100).toFixed(1)}%)`;
        //                        return `${remainingDays} / ${totalDays}`;
        //                    },
        //                    fontSize: 10
        //                    //,fontWeight: 'bold'
        //                }
        //            },
        //            {
        //                value: 180 - displayDegrees,
        //                itemStyle: { color: '#EEEEEE' }
        //            }
        //        ],
        //        labelLine: { show: false }
        //    }]
        //    //,title: {
        //    //    text: '有效期倒计时 (360天)',
        //    //    subtext: '每2度对应1天，最后5度保持蓝色',
        //    //    left: 'center'
        //    //}
        //    , tooltip: { show: false }
        //});
        $.ajax({
            url: "/Handler/GetFacotryHandler.ashx",
            cache: false,
            data: { cbsid: cbsid },
            dataType: "json",
            success: function (data) {
                if (data.FactoryData && data.FactoryData.length > 0) {
                    var addr = data.FactoryData[0]["FactoryAddress"] || "";
                    var area = data.FactoryData[0]["FactoryArea"] || "";
                    if (addr != "") {
                        $(".cfadd").html("<span>厂房地址：</span>" + addr + "</li>");
                    }
                    if (area != "") {
                        $(".cfmj").html("<span>厂房面积：</span>" + area + "</li>");
                    }
                }
                if (data.ImgsData && data.ImgsData.length > 0) {
                    var imghtml = "";
                    for (var i = 0; i < data.ImgsData.length; i++) {
                        var imgurl = data.ImgsData[i]["ImgUrl"] || "";
                        imghtml += '<a href="/EnterpriseCertification_' + physicalId + '.htm" class="cfimg2">';
                        imghtml += '<img src="' + imgurl + '" alt="ss"></a>';
                    }
                    $(".cfimg").append(imghtml);
                }
            }
        });
    })
    //诚信商家
    $("span[data-sincerity='true']").one("mouseover", function () {
        var cbsid = $(this).attr("data-cbsid");
        var $parent = $(this).find("div[class='Honest2']");
        $parent.html("<img src='/control/image/loading1.gif' alt='loading' />");
        $.ajax({
            url: "/Handler/GetSincerityBusiness.ashx",
            type: "Get",
            data: { "cbsid": cbsid },
            dataType: "json",
            success: function (data) {
                $parent.html("");
                $parent.append("<div class=\"H-title\">诚信商家</div>");
                if (data.Sincerity == "2") {
                    $parent.append("<div class=\"H-RMB  marginL10\">保证金：<b class=\"c1\">" + data.Bond + "元</b></div>")
                }
                $parent.append("<p>商家服务能力，数据来源于“采购帮”真实交易</p>");
                $parent.append("<div class=\"Hbox\">产品质量：<span class=\"s" + data.ProductQuality + "\"></span><i>" + data.ProductQualityDescrption + "</i></div>");
                $parent.append("<div class=\"Hbox\">售后服务：<span class=\"s" + data.AfterSaleService + "\"></span><i>" + data.AfterSaleServiceDescrption + "</i></div>");
                $parent.append("<div class=\"Hbox\">及时发货：<span class=\"s" + data.TimelyDelivery + "\"></span><i>" + data.TimelyDeliveryDescrption + "</i></div>");
                $parent.append("<hr>");
                if (data.Sincerity == "1") {
                    $parent.append("<div class=\"c4\"><i class=\"Hn\"></i>此商家还未加入“采购保障”服务</div>");
                }
                $parent.append("<div class=\"Hbz c4\"><i></i><span>售后无忧</span><span>放心购买</span></div>");
                $parent.append("<p class=\"c4\">加入采购保障，出现交易纠纷，采购帮先行赔付。</p>");
            }
        })

    });
    //现货直通车
    $("span[data-type='spotthroughtrain']").one("mousemove", function () {
        var $span = $(this);
        var cb = $span.data("cn");
        var cbsid = $span.data("cbsid");
        var cas = $span.data("cas");
        var prodname = $span.data("prodname");
        $.ajax({
            url: "/Handler/GetSupplierProductThroughTrain.ashx",
            cache: false,
            data: { cbnumber: cb, cbsid: cbsid },
            dataType: "json",
            success: function (data) {
                if (data.purity == '') {
                    $span.find("[data-type='purity']").text('');
                    $span.find("[data-type='purity']").hide();
                    $span.find("[data-type='purity']").prev().hide();
                }
                else {
                    $span.find("[data-type='purity']").text(data.purity);
                    $span.find("[data-type='purity']").show();
                    $span.find("[data-type='purity']").prev().show();
                }
                $span.find("[data-type='purity']").text(data.purity);
                $span.find("[data-type='stock']").text(data.stock);
                $span.find("[data-type='settime']").text(data.settime);
                if (data.havegoods > 0) {
                    $span.find("[data-type='hasgood']").html("<i></i>有货（" + data.havegoods + "）</a>").attr("data-havegoods", data.havegoods);
                }
                else {
                    $span.find("[data-type='hasgood']").html("<i></i>有货</a>").attr("data-havegoods", data.havegoods);
                }
                if (data.nogoods > 0) {
                    $span.find("[data-type='nogood']").html("<i></i>无货（" + data.nogoods + "）</a>").attr("data-nogoods", data.nogoods);
                }
                else {
                    $span.find("[data-type='nogood']").html("<i></i>无货</a>").attr("data-nogoods", data.nogoods);
                }
                if (data.noenoughgoods > 0) {
                    $span.find("[data-type='noenoughgood']").html("<i></i>货不足（" + data.noenoughgoods + "）</a>").attr("data-noenoughgood", data.noenoughgoods);
                }
                else {
                    $span.find("[data-type='noenoughgood']").html("<i></i>货不足</a>").attr("data-noenoughgood", data.noenoughgoods);
                }

                saveNewCustVisitInfo("现货直通车", cbsid, cb, "ProductList.aspx");
            }
        });
        var userName = $("#cookie_userName").val();
        //有货
        $span.find("a[data-type='hasgood']").one("click", function () {
            if (userName != "") {
                var $a = $(this);
                //记录统计
                $.ajax({
                    url: "/Handler/UserFeedBackSPT.ashx",
                    cache: false,
                    data: { cbnumber: cb, cbsid: cbsid, type: "havegood" },
                    success: function (data) {
                        var havegoods = parseInt($a.attr("data-havegoods")) + 1;
                        $span.find("[data-type='hasgood']").html("<i></i>有货（" + havegoods + "）</a>").attr("data-havegoods", havegoods);
                    }
                });
            } else {
                window.location.href = "/UserManager/Login.aspx";
            }
        });
        //无货
        $span.find("a[data-type='nogood']").one("click", function () {
            //var userName = $("#cookie_userName").val();
            if (userName != "") {
                var $a = $(this);
                //记录统计
                $.ajax({
                    url: "/Handler/UserFeedBackSPT.ashx",
                    cache: false,
                    data: {
                        cbnumber: cb, cbsid: cbsid, type: "nogood", cas: cas, prodname: prodname
                    },
                    success: function (data) {
                        var nogoods = parseInt($a.attr("data-nogoods")) + 1;
                        $span.find("[data-type='nogood']").html("<i></i>无货（" + nogoods + "）</a>").attr("data-nogoods", nogoods);
                    }
                });
            } else {
                window.location.href = "/UserManager/Login.aspx";
            }
        });
        //货不足
        $span.find("a[data-type='noenoughgood']").one("click", function () {
            //var userName = $("#cookie_userName").val();
            if (userName != "") {
                var $a = $(this);
                //记录统计
                $.ajax({
                    url: "/Handler/UserFeedBackSPT.ashx",
                    cache: false,
                    data: {
                        cbnumber: cb, cbsid: cbsid, type: "noenoughgood", cas: cas, prodname: prodname
                    },
                    success: function (data) {
                        var noenoughgood = parseInt($a.attr("data-noenoughgood")) + 1;
                        $span.find("[data-type='noenoughgood']").html("<i></i>货不足（" + noenoughgood + "）</a>").attr("data-noenoughgood", noenoughgood);
                    }
                });
            } else {
                window.location.href = "/UserManager/Login.aspx";
            }
        });

    });


    //大货
    $("span[data-type='large']").one("mousemove", function () {
        var $span = $(this);
        var cb = $span.data("cn");
        var cbsid = $span.data("cbsid");
        var cas = $span.data("cas");
        var prodname = $span.data("prodname");
        $.ajax({
            url: "/Handler/GetLargeProductList.ashx",
            cache: false,
            data: {
                cbnumber: cb, cbsid: cbsid
            },
            dataType: "json",
            success: function (data) {
                var grade = data.grade;
                //grade = grade.substr(0, grade.length - 1);
                $span.find("[data-type='purity']").text(data.purity);
                $span.find("[data-type='stock']").text(grade);
                $span.find("[data-type='settime']").text(data.settime);
                if (data.havegoods > 0) {
                    $span.find("[data-type='largehasgood']").html("<i></i>有货（" + data.havegoods + "）</a>").attr("data-havegoods", data.havegoods);
                }
                else {
                    $span.find("[data-type='largehasgood']").html("<i></i>有货</a>").attr("data-havegoods", data.havegoods);
                }
                if (data.nogoods > 0) {
                    $span.find("[data-type='largenogood']").html("<i></i>无货（" + data.nogoods + "）</a>").attr("data-nogoods", data.nogoods);
                }
                else {
                    $span.find("[data-type='largenogood']").html("<i></i>无货</a>").attr("data-nogoods", data.nogoods);
                }

                saveNewCustVisitInfo("大货", cbsid, cb, "ProductList.aspx");
            }
        });
        var userName = $("#cookie_userName").val();
        //有货
        $span.find("a[data-type='largehasgood']").one("click", function () {
            if (userName != "") {
                var $a = $(this);
                //记录统计
                $.ajax({
                    url: "/Handler/UserFeedBackLarge.ashx",
                    cache: false,
                    data: { cbnumber: cb, cbsid: cbsid, type: "havegood" },
                    success: function (data) {
                        var havegoods = parseInt($a.attr("data-havegoods")) + 1;
                        $span.find("[data-type='largehasgood']").html("<i></i>有货（" + havegoods + "）</a>").attr("data-havegoods", havegoods);
                    }
                });
            }
            else {
                window.location.href = "/UserManager/Login.aspx";
            }
        });
        //无货
        $span.find("a[data-type='largenogood']").one("click", function () {
            //var userName = $("#cookie_userName").val();
            if (userName != "") {
                var $a = $(this);
                //记录统计
                $.ajax({
                    url: "/Handler/UserFeedBackLarge.ashx",
                    cache: false,
                    data: {
                        cbnumber: cb, cbsid: cbsid, type: "nogood", cas: cas, prodname: prodname
                    },
                    success: function (data) {
                        var nogoods = parseInt($a.attr("data-nogoods")) + 1;
                        $span.find("[data-type='largenogood']").html("<i></i>无货（" + nogoods + "）</a>").attr("data-nogoods", nogoods);
                    }
                });
            }
            else {
                window.location.href = "/UserManager/Login.aspx";
            }
        });
    });

    //倒计时开始
    $("span[data-type='spotthroughtrain']").mousemove(function () {
        if (!$(this).attr("data-start")) {
            var $span = $(this).find("span[data-type='timer']");
            $(this).data("timerId", startTime($span.attr("id")));
            $(this).attr("data-start", "true");
        }

    }).mouseout(function () {
        if ($(this).attr("data-start")) {
            var timerId = $(this).data("timerId");
            clearTimeout(timerId);
            $(this).removeAttr("data-start");
        }

    });
    //倒计时开始-大货
    $("span[data-type='large']").mousemove(function () {
        if (!$(this).attr("data-start")) {
            var $span = $(this).find("span[data-type='timer']");
            $(this).data("timerId", startTime($span.attr("id")));
            $(this).attr("data-start", "true");
        }

    }).mouseout(function () {
        if ($(this).attr("data-start")) {
            var timerId = $(this).data("timerId");
            clearTimeout(timerId);
            $(this).removeAttr("data-start");
        }

    });

    $(".b3").find("a").click(function () {
        var cbnumber = $("#bt_delegate_list").attr("data-cbnumber");
        var cbsid = $(this).parent().attr("data-cbsid");
        saveNewCustVisitInfo("在线qq", cbsid, cbnumber, "ProductList.aspx");

    });

    $("a[data-field='suppliername']").click(function () {
        var cbnumber = $("#bt_delegate_list").attr("data-cbnumber");
        var cbsid = $("a[data-cphi='true']").attr("data-cbsid");
        saveNewCustVisitInfo("供应商名称", cbsid, cbnumber, "ProductList.aspx");
    });

    $("a[data-field='topad']").click(function () {
        var pageinfo = $(this).attr("data-page");
        saveNewCustVisitInfo("现货商城", "", "", pageinfo);
    });

    $("a[data-field='website']").click(function () {
        var cbnumber = $("#bt_delegate_list").attr("data-cbnumber");
        var cbsid = $("a[data-cphi='true']").attr("data-cbsid");
        saveNewCustVisitInfo("公司网址", cbsid, cbnumber, "ProductList.aspx");
    });

    $("a[data-field='productcatalog']").click(function () {
        var cbnumber = $("#bt_delegate_list").attr("data-cbnumber");
        var cbsid = $("a[data-cphi='true']").attr("data-cbsid");
        saveNewCustVisitInfo("产品目录", cbsid, cbnumber, "ProductList.aspx");
    });

    $("a[data-field='evaluate']").click(function () {
        var cbnumber = $("#bt_delegate_list").attr("data-cbnumber");
        var cbsid = $("a[data-cphi='true']").attr("data-cbsid");
        saveNewCustVisitInfo("用户评价", cbsid, cbnumber, "ProductList.aspx");
    });
})
function TipOffFactory(obj) {
    var userName = $("#cookie_userName").val();
    var uname = $(obj).attr("data-uname");
    var companyname = $(obj).attr("data-cname");
    var productname = $(obj).attr("data-pname");
    var cas = $(obj).attr("data-cas");
    var cbsid = $(obj).attr("data-cbsid");
    var cbnumber = $(obj).attr("data-cb");
    if (userName != "") {
        var html = '';
        html += '<div class="tsw_bg" id="bg_tipoff"></div>';
        html += '<div class="tsw" id="win_tipoff">';
        html += '<div class="tsw_close" href="javascript:void(0)" onclick="closeTipOff()">×</div>'; 2
        html += '<div class="tsw1"><span>!</span>工厂真实性举报</div>';
        html += '<div class="tsw2">请谨慎使用该功能，避免给双方带来不必要的麻烦<br>';
        html += '恶意投诉将记录在案，严重者将会降权处理</div>';
        html += '<div class="tsw2"><textarea name="" cols="" rows="" class="tsw22" id="txt_tipoff"></textarea></div>';
        html += '<p class="tip3" id="tipoff_msg" style="text-align:center;color:red;"></p>';
        html += '<div class="tsw3"><a href="javascript:void(0)" data-uname="' + uname + '" data-cname="' + companyname + '" data-pname="' + productname + '" data-cas="' + cas + '" data-cbsid="' + cbsid + '" data-cb="' + cbnumber + '" onclick="SaveTipOff(this)">确定提交</a><a href="javascript:void(0)" onclick="closeTipOff()">取消</a></div>';
        html += '</div>';
        $("#divmain").append(html);
    } else {
        window.location.href = "/UserManager/Login.aspx";
    }
}
function SaveTipOff(obj) {
    var value = $("#txt_tipoff").val().trim();
    if (value == "") {
        $("#tipoff_msg").text("请填写举报内容");
        return;
    }
    var uname = $(obj).attr("data-uname");
    var companyname = $(obj).attr("data-cname");
    var productname = $(obj).attr("data-pname");
    var cas = $(obj).attr("data-cas");
    var cbsid = $(obj).attr("data-cbsid");
    var cbnumber = $(obj).attr("data-cb");
    if (confirm("确定举报该工厂真实性吗？")) {
        $.ajax({
            url: "/Handler/ChembookSuppliersRecord.ashx",
            cache: false,
            data: {
                cbnumber: cbnumber, cbsid: cbsid, note: "工厂真实性举报", cas: cas, productname: productname, companyname: companyname, username: uname, textvalue: value
            },
            success: function (data) {
                alert("提交成功！");
                closeTipOff();
            }
        });
    }
}
function closeTipOff() {
    $("#bg_tipoff").remove();
    $("#win_tipoff").remove();
}
function CollectSupplierInfo(obj) {
    var userName = $("#cookie_userName").val();
    if (userName != "") {
        var value = $(obj).text();
        var sort = $(obj).attr("data-sort");
        var username = $(obj).attr("data-uname");
        var companyname = $(obj).attr("data-cname");
        var productname = $(obj).attr("data-pname");
        var cas = $(obj).attr("data-cas");
        var cbsid = $(obj).attr("data-cbsid");
        var cbnumber = $(obj).attr("data-cb");

        var html = '';
        html += '<div class="tsw_bg" id="bg_tipoff"></div>';
        html += '<div class="tsw" id="win_tipoff">';
        html += '<div class="tsw_close" href="javascript:void(0)" onclick="closeTipOff()">×</div>';
        html += '<div class="tsw1"><span>!</span>投诉确认</div>';
        html += '<div class="tsw2">请谨慎使用该功能，避免给双方带来不必要的麻烦<br>';
        html += '恶意投诉将记录在案，严重者将会降权处理</div>';
        html += '<div class="tsw2">';
        html += '<ul class="ts4">';
        html += '<li><span>投诉公司：</span>' + companyname + '</li>';
        html += '<li><span>投诉产品：</span>' + productname + '</li>';
        if (value != "其它") {
            html += '<li><span>投诉内容：</span><b>' + value + '</b></li>';
        }
        if (value == "其它") {
            html += '<li><span>投诉内容：</span><input name="" type="text" class="tsw_input" id="txt_complaint"></li>';
        }
        html += '</ul>';
        html += '</div>';
        html += '<p class="tip3" id="tipoff_msg" style="text-align:center;color:red;"></p>';
        html += '<div class="tsw3"><a href="javascript:void(0)" data-type="' + value + '" data-uname="' + username + '" data-cname="' + companyname + '" data-pname="' + productname + '" data-cas="' + cas + '" data-cbsid="' + cbsid + '" data-cb="' + cbnumber + '" onclick="SaveComplaint(this)">确定提交</a><a href="javascript:void(0)" onclick="closeTipOff()">取消</a></div>';
        html += '</div>';
        $("#divmain").append(html);


        //if (value == "其它") {
        //    $("#box_" + sort + "").show();
        //}
        //else {
        //    $("#box_" + sort + "").hide();
        //    if (userName != "") {
        //        if (confirm("确定反馈该商家" + value + "吗？")) {
        //            $.ajax({
        //                url: "/Handler/ChembookSuppliersRecord.ashx",
        //                cache: false,
        //                data: {
        //                    cbnumber: cbnumber, cbsid: cbsid, note: value, cas: cas, productname: productname, companyname: companyname, username: username, textvalue: ""
        //                },
        //                success: function (data) {
        //                    //if (value == "无货") {
        //                    //    $("#li_hbz_" + sort + "").hide();
        //                    //    $("#li_lxbs_" + sort + "").hide();
        //                    //    $("#li_jyyc_" + sort + "").hide();
        //                    //    $("#li_qt_" + sort + "").hide();
        //                    //}
        //                    //else {
        //                    $("#ul_fk_" + sort + "").hide();
        //                    //}
        //                    $("#P_Msg_" + sort + "").show();
        //                }
        //            });
        //        }
        //    } else {
        //        window.location.href = "/UserManager/Login.aspx";
        //    }
        //}
    } else {
        window.location.href = "/UserManager/Login.aspx";
    }
}
function SaveComplaint(obj) {
    var len = $("#txt_complaint").length;
    var value = "";
    if (len > 0) {
        value = $("#txt_complaint").val().trim();
        if (value == "") {
            $("#tipoff_msg").text("请填写投诉内容");
            return;
        }
    }
    else {
        value = "";
    }
    var type = $(obj).attr("data-type");
    var username = $(obj).attr("data-uname");
    var companyname = $(obj).attr("data-cname");
    var productname = $(obj).attr("data-pname");
    var cas = $(obj).attr("data-cas");
    var cbsid = $(obj).attr("data-cbsid");
    var cbnumber = $(obj).attr("data-cb");
    if (confirm("确定反馈该商家" + value + "吗？")) {
        $.ajax({
            url: "/Handler/ChembookSuppliersRecord.ashx",
            cache: false,
            data: {
                cbnumber: cbnumber, cbsid: cbsid, note: type, cas: cas, productname: productname, companyname: companyname, username: username, textvalue: value
            },
            success: function (data) {
                alert("提交成功！");
                closeTipOff();
                //$("#ul_fk_" + sort + "").hide(); 
                //$("#P_Msg_" + sort + "").show();
            }
        });
    }
}
function funOther(obj) {
    var userName = $("#cookie_userName").val();
    var sort = $(obj).attr("data-sort");
    var username = $(obj).attr("data-uname");
    var companyname = $(obj).attr("data-cname");
    var productname = $(obj).attr("data-pname");
    var cas = $(obj).attr("data-cas");
    var cbsid = $(obj).attr("data-cbsid");
    var cbnumber = $(obj).attr("data-cb");
    var txtvalue = $("#txt_" + sort + "").val().trim();
    if (txtvalue == "") {
        alert("请填写内容");
        return false;
    }
    if (userName != "") {
        $.ajax({
            url: "/Handler/ChembookSuppliersRecord.ashx",
            cache: false,
            data: {
                cbnumber: cbnumber, cbsid: cbsid, note: "其他", cas: cas, productname: productname, companyname: companyname, username: username, textvalue: txtvalue
            },
            success: function (data) {
                $("#ul_fk_" + sort + "").hide();
                $("#P_Msg_" + sort + "").show();
            }
        });
    } else {
        window.location.href = "/UserManager/Login.aspx";
    }
}
function getCookie(name) {
    var arr, reg = new RegExp("(^| )" + name + "=([^;]*)(;|$)");
    if (arr = document.cookie.match(reg))
        return unescape(arr[2]);
    else
        return null;
}
function startTime(id) {
    var $span = $("#" + id);
    var endTime = $span.attr("data-timer");
    $span.html("剩余时间<br>" + dateDiff(endTime));
    var timerId = setTimeout("startTime('" + id + "')", 1000);
    return timerId;
}
/*
 *计算时间差
 */
function dateDiff(endTime) {
    //计算
    var endDate = new Date(endTime);
    var nowDate = new Date();
    var diff = parseInt(endDate.getTime() - nowDate.getTime());//毫秒
    var dayUnit = 1 * 24 * 60 * 60 * 1000;
    var hourUnit = 1 * 60 * 60 * 1000;
    var minuUnit = 1 * 60 * 1000;
    var sencondUnit = 1 * 1000;

    var day = parseInt(diff / dayUnit);
    var dayMode = diff % dayUnit;
    var hour = parseInt(dayMode / hourUnit);
    var hourMode = dayMode % hourUnit;
    var minu = parseInt(hourMode / minuUnit);
    var minuMode = hourMode % minuUnit;
    var sencond = parseInt(minuMode / sencondUnit);
    var days = "9天 22:23:15";
    if (day > 1) {
        days = day + "天 " + hour + ":" + minu + ":" + sencond;
    }
    else {
        days = hour + ":" + minu + ":" + sencond;
    }

    return days;
}
/*
* type:操作描述
* cbsid:供应商标识
* cbnumber：产品cbnumber号
* pageinfo：当前页面名称
*/
function saveNewCustVisitInfo(type, cbsid, cbnumber, pageinfo) {
    //$.ajax({
    //    url: "/Handler/SaveNewCustVisitInfo.ashx",
    //    cache: false,
    //    type: "Post",
    //    data: {
    //        type: type, cbsid: cbsid, cbnumber: cbnumber, pageinfo: pageinfo
    //    },
    //    dataType: "json",
    //    success: function (data) {
    //    }
    //});
    var username = $("#cookie_userName").val();
    if (username == null) {
        username = "";
    }
    var url = "https://mapi.chemicalbook.com/mapi/SaveNewCustVisitInfo";
    $.ajax({
        url: url,
        type: "get",
        dataType: 'JSONP',
        jsonp: "callback",
        data: { type: type, cbsid: cbsid, cbnumber: cbnumber, pageinfo: pageinfo, username: username },
        success: function (data) {
        }
    });
}

function inStockProload() {
    var currentStocks = $("i[data-current-stock='true']");
    if (currentStocks.length > 0) {
        var list = [];
        for (var i = 0; i < currentStocks.length; i++) {
            var obj = {
                cbsid: $(currentStocks[i]).attr("data-cbsid"),
                cas: $(currentStocks[i]).attr("data-cas"),
                productid: $(currentStocks[i]).attr("data-product-id"),
                cbnumber: $(currentStocks[i]).attr("data-cb"),
                ip: ""
            }
            list.push(obj);
        }
        if (list.length > 0) {
            var tmepUrl = "https://mapi.chemicalbook.com/mapi/InStockDomesticPreload";
            $.ajax({
                url: tmepUrl,
                data: { list: JSON.stringify(list) },
                type: "get",
                dataType: 'JSONP',
                jsonp: "callback",
                success: function (ret) { }
            })
        }
    }
}
